Skip to content

List WhatsApp Business Accounts details
GA
deprecated

Request

Returns a list of all the WhatsApp Business Accounts that the facebook token is associated with, together with the numbers that are shared.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

WabaDetails data with Facebook token generated from the embedded signup process.

facebookTokenstringrequired

Long-Lived User access token.

businessManagerstring(WhatsappInputBusinessManagers)

Business manager.

Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK"

Example body request to list WhatsApp Business Accounts details.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "facebookToken": "FACEBOOK_TOKEN"
  }'

Responses

List of WhatsApp Business Accounts.

Bodyapplication/json
wabasArray of objects(WhatsappWabaDetailsDto)required
Response

Response for all waba details.

{ "wabas": [ { … } ] }
We'd love to hear from you!
Rate this content: